package com.bocloud.ims.interfaces.resource.kubernetes;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.kubernetes.KubeNodeLabel;

public interface KubeNodeLabelService {

	/**
	 * 查询标签列表
	 *
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @param simple
	 * @return
	 */
	public BocloudResult list(Pager pager);

	/**
	 * 查看标签详情
	 *
	 * @param id
	 * @return
	 */
	public BocloudResult detail(Long id);

	/**
	 * 创建标签
	 *
	 * @param label
	 * @return
	 */
	public BocloudResult create(KubeNodeLabel label);

	/**
	 * 更新标签
	 *
	 * @param label
	 * @return
	 */
	public BocloudResult modify(KubeNodeLabel label, RequestContext context);

	/**
	 * 删除标签
	 *
	 * @param id
	 * @return
	 */
	public BocloudResult remove(Long id);

}
